SEEJPEG(1)

NAME
seejpeg

SYNOPSIS
seejpeg [options] <image> [ <image> ... ]

COPYRIGHT
Seejpeg is Copyright (C) 1993-1999 by Evan Harris. This software is based in part on the work of the Independent JPEG Group.

DESCRIPTION
Seejpeg is an image displayer which uses svgalib. It currently understands the JPEG, GIF, PPM, BMP and TARGA formats. Seejpeg automatically decides the best video mode to use, based on the modes supported by the video hardware. This decision can be influenced by various program options. A slideshow option is provided.

KEYBOARD COMMANDS
Once an image is being displayed, the following keyboard commands are availble:

q  Q
    Quit. This quits immediately. If multiple images were specified, the remainder are not displayed.

up-arrow
    Scroll image up. This does not do anything if the image is smaller the video mode or the top of the image is already displayed.

down-arrow
    Scroll image down. This does not do anything if the image is smaller the video mode or the bottom of the image is already displayed.

left-arrow
    Scroll image left. This does not do anything if the image is smaller the video mode or the left extremity of the image is already displayed.

right-arrow
    Scroll image right. This does not do anything if the image is smaller the video mode or the right extremity of the image is already displayed.

backspace
    Show the previous image. If there is no previous image, this reloads the current image.

r  R
    Reload the current image.

any-other-key
    Show the next image. If there is no next image, seejpeg exits.

OPTIONS

-1  --one-pass
    Quantize image in one pass (implies -q). JPEG only. This is faster than using -q, but the resulting image quality is not as high.

-c  --centre  --center
    Centre the image on the screen, if its width or height is smaller than that of the video mode.

-C  --cycle
    Cycle through all images repeatedly. To exit immediately, press Q.

-dx  --double=x
    Double the width of the image by duplicating each pixel.

-f F  --fuzz=F
    Set the video mode choosing fuzz factor. 0.5 <= F <= 1.0. A video mode is selected if it is the same size or larger than the image. The fuzz factor allows a video mode to be selected if the video mode is equal to or larger than F * image_width and F * image_height.

-F string  --mode=string
    Force the use of the given video mode. The string must be an svgalib video mode string, such as G640x480x256, or a corresponding video mode number. If this is a 256 colour mode, quantization (-q) is automatically chosen. If quantization is not possible, the video mode is disallowed. The allowable video modes may be affected by the image type as well as the video card and svgalib configuration file.

-g  --grey  --gray
    Display image as greyscale (implies -1). JPEG only. Display the image in greyscale. This is not necessary for an image compressed using the greyscale option on cjpeg as this mode will be set automatically. It can be used for images compressed without the greyscale flag, or for displaying colour images in greyscale.

-G F  --gamma=F
    Set the gamma correction value. 0.1 <= F <= 5.0. The default gamma value is 1.0. If an image is too dark, increase the gamma correction value. 1.5 and 2.0 are often good values to try. If it is too light, decrease it.

-h  --help
    Print a usage message.

-m W  --min-mode-width=W
    Do not select a video mode with width less than W. This can be useful on larger monitors to avoid the smaller video modes, such as 320x200.

-M W  --max-mode-width=W
    Do not select a video mode with width greater than W. This can be useful if a video card supports a given mode, but the monitor doesn't.

-q  --quantize  --quantise
    Quantize image into 256 colours. The resulting image will be displayed using a 256 colour mode. JPEG only. The default quantization algorithm uses two passes and is memory intensive. This can be a problem on small-memory machines. A one pass algorithm that does not use much memory can be specified using -1, but the resulting image quality is not as high.

-r  --randomize  --randomise
    Randomize the order of the images to be displayed. If cycling through the images is also requested, a new random order is chosen for each cycle.

-s T  --slideshow-delay=T
    Show the images in a slideshow, waiting T seconds between each image. The scrolling keyboard commands behave normally in a slideshow. Other keyboard commands are acted upon normally, but not until the end of the delay time.

-v  --verbose
    Be verbose. Prints information such as the image size and video mode being used. Without this option, seejpeg operates silently.

-w  --width-only
    Only use the image width to choose the video mode. By default, the video mode chosen is the smallest one possible which is not smaller than the image. This may not be desirable for long, thin images. This options allows the video mode to be chosen based on the width only, rather than the width and height.

--enable-5x4
    Enable video modes with a 5x4 aspect ratio to be used. 5x4 modes are enabled by default. As of seejpeg 1.10, 1280x1024 is the only mode of this type.

--disable-5x4
    Do not allow video modes with a 5x4 aspect ratio to be used. 5x4 modes are enabled by default.

--enable-4x3
    Enable video modes with a 4x3 aspect ratio to be used. 4x3 modes are enabled by default. This is the same aspect ratio as a normal monitor and the vast bulk of standard video modes are of this type.

--disable-4x3
    Do not allow video modes with a 4x3 aspect ratio to be used. 4x3 modes are enabled by default.

--enable-8x5
    Enable video modes with a 8x5 aspect ratio to be used. 8x5 modes are disabled by default. As of seejpeg 1.10, 640x400 and 320x200 are the only modes of this type.

--disable-8x5
    Do not allow video modes with a 8x5 aspect ratio to be used. 8x5 modes are disabled by default.

--enable-16x9
    Enable video modes with a 16x9 aspect ratio to be used. 16x9 modes are disabled by default. 16x9 is the widescreen aspect ratio format used by, for example, HDTV. As of svgalib 1.4.0, only one modeline, for 1072x600, is provided by default and it distorts images produced for a 4x3 screen when used on 4x3 screens.

--disable-16x9
    Do not allow video modes with a 16x9 aspect ratio to be used. 16x9 modes are disabled by default.

NOTES
For optimum performance, use svidtune from the svgalib (source) distribution to create a mode line for each video mode that is tuned to your video card and monitor and placed them in the libvga.config file.

LIMITATIONS
Video modes are limited to 2048x1536, 2048x1152, 1920x1440, 1800x1012, 1600x1200, 1360x768, 1280x1024, 1280x720, 1152x864, 1072x600, 1024x768, 960x720, 848x480, 800x600, 720x540, 640x480, 640x400, 512x384, 400x300, 320x240 and 320x200 in 256, 32K, 16M or 16M32 colours. Each mode can only be used if it is supported by the video card, svgalib, and the svgalib configuration (libvga.config). Images that cannot be completely contained within video memory are clipped. No horizontal scrolling is permitted on Trident cards in 800x600x256 mode, due to an svgalib or chipset bug. Seejpeg has had limited testing, none at all for the TARGA format.